<?php
require 'inc.php';
$obj_tab_temp=new cls_tab_temp();
$arr_state=$obj_tab_temp->state;
$arr_fields_type=$obj_tab_temp->fields_type;
$arr_industry=$obj_tab_temp->industry;

if(!isset($get_objid)) $get_objid="";
if(!isset($get_objtxt)) $get_objtxt="";
if(!isset($get_objwin)) $get_objwin="";

$page_footer_info=<<<HTML
<input type='hidden' name='objid' id='objid' value='$get_objid'>
<input type='hidden' name='objtxt' id='objtxt' value='$get_objtxt'>
<input type='hidden' name='objwin' id='objwin' value='$get_objwin'>
HTML;

switch($get_act)
{	
	default:
	{
		//·ÖÒ³
		$str_where="";
		$arr_temp=array();
		$obj_rs   = $obj_db->get_one("SELECT count(*) as num FROM ".DB_PRE."temp".$str_where);
		$int_total=$obj_rs["num"];
		$int_pages= ceil($int_total/$int_pagesize);
		$get_page = min($int_pages, $get_page);
		$get_page = max($get_page, 1);
		$page_split_page=get_pages($int_total, $get_page, $int_pagesize);
		$int_offset = $int_pagesize*($get_page-1);
		$str_limit = " limit ".$int_offset.",".$int_pagesize;
		$obj_result = $obj_db->query("SELECT * FROM ".DB_PRE."temp".$str_where.$str_limit);
		while($obj_rs = $obj_db->fetch_array($obj_result))
		{
			$obj_rs["pic"]=get_html_url($obj_rs["temp_pic"]);
			$obj_rs["addtime"]=date("Y-m-d",$obj_rs["temp_addtime"]);
			$obj_rs["state"]=array_search($obj_rs["temp_state"],$arr_state);
			$arr_temp[] = $obj_rs;
		}
		include "tpl/wintemp.tpl.php";

	}
}

?>
